Package org.apache.datasketches.hive.tuple

## Class UnionDoubleSummaryWithModeSketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.tuple.UnionSketchUDAF
    - - org.apache.datasketches.hive.tuple.UnionDoubleSummaryWithModeSketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

    public class UnionDoubleSummaryWithModeSketchUDAF
    extends UnionSketchUDAF

This is an example of a concrete UDAF based on the abstract UnionSketchUDAF if extra arguments are needed. For a simpler example with no extra arguments see UnionDoubleSummarySketchUDAF.

### Nested Class Summary

Nested Classes
`static class` `UnionDoubleSummaryWithModeSketchUDAF.UnionDoubleSummaryWithModeSketchEvaluator`

### Nested classes/interfaces inherited from class org.apache.datasketches.hive.tuple.UnionSketchUDAF

`UnionSketchUDAF.UnionSketchEvaluator<S extends org.apache.datasketches.tuple.Summary>`

### Constructor Summary

Constructors
`UnionDoubleSummaryWithModeSketchUDAF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkExtraArguments​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)` Override this if your UDF has more arguments
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `createEvaluator()` This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.

### Methods inherited from class org.apache.datasketches.hive.tuple.UnionSketchUDAF

`getEvaluator`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionDoubleSummaryWithModeSketchUDAF

    public UnionDoubleSummaryWithModeSketchUDAF()

### Method Detail

#### createEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator createEvaluator()

Description copied from class: `UnionSketchUDAF`
This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.

Specified by:
  `createEvaluator` in class `UnionSketchUDAF`
Returns:
  an instance of evaluator

#### checkExtraArguments

    protected void checkExtraArguments​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)
                                throws org.apache.hadoop.hive.ql.parse.SemanticException

Description copied from class: `UnionSketchUDAF`
Override this if your UDF has more arguments

Overrides:
  `checkExtraArguments` in class `UnionSketchUDAF`
Parameters:
  `inspectors` - array of inspectors
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException` - if anything is wrong